Summary: Kernel loader which uses a FAT or iso9660 filesystem or a PXE network
Name: syslinux

%global momorel 1
Version: 2.08
Release: %{momorel}m
License: GPL
Group: Applications/System

%NoSource 0 ftp://ftp.kernel.org/pub/linux/utils/boot/%{name}/%{name}-%{version}.tar.bz2 f1c699a3996a000f0cd0bdd075cbcf6c

BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: %{ix86} athlon x86_64
BuildRequires(build): nasm >= 0.98.35
BuildRequires(build): perl, netpbm-progs

AutoReq: 0
%ifarch %{ix86} athlon
Requires: mtools, libc.so.6
%endif
%ifarch x86_64
Requires: mtools, libc.so.6()(64bit)
%endif

%description
Syslinux is a simple kernel loader. It normally loads the kernel (and an
optional initrd image) from a FAT filesystem. It can also be used as a
PXE bootloader during network boots (PXELINUX), or for booting from
ISO 9660 CD-ROMs (ISOLINUX).

%package devel
Summary: Kernel loader which uses a FAT or iso9660 filesystem or a PXE network
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Syslinux is a simple kernel loader. It normally loads the kernel (and an
optional initrd image) from a FAT filesystem. It can also be used as a
PXE bootloader during network boots (PXELINUX), or for booting from
ISO 9660 CD-ROMs (ISOLINUX).

%prep
%setup -q

(
  cd sample
  mv Makefile Makefile.sample
  cat > Makefile <<EOF
.PHONY: all clean
EOF
)

%build
make clean
make -C sample -f Makefile.sample clean

optflags=`echo %{optflags} | \
    %__sed -e 's/-march=[^ ]\+/-march=i386/g' \
           -e 's/-fstack-protector//'`
make installer CFLAGS="-Wall ${optflags} -D_FILE_OFFSET_BITS=64"
make -C sample -f Makefile.sample all \
  CFLAGS="${optflags} -D_FILE_OFFSET_BITS=64 -I../com32/include"

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_libdir}/syslinux
%__mkdir_p %{buildroot}%{_includedir}
make install install-lib \
  INSTALLROOT=%{buildroot} \
  BINDIR=%{_bindir} \
  LIBDIR=%{_libdir} \
  INCDIR=%{_includedir}

%__install -m 0755 mkdiskimage sys2ansi.pl keytab-lilo.pl \
  %{buildroot}%{_libdir}/syslinux

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc BUGS COPYING NEWS README* TODO
%doc *.doc sample
%{_bindir}/*
%{_libdir}/syslinux
%{_libdir}/libsyslinux.so.*
%{_includedir}/syslinux.h

%files devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/syslinux.h
%{_libdir}/libsyslinux.a
%{_libdir}/libsyslinux.so

%changelog
* Mon Jan 12 2004 Kenta MURATA <muraken2@nifty.com>
- (2.08-1m)
- version 2.08.

* Wed Apr 23 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.04-1m)
  update to 2.04

* Sun Apr 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.03-1m)
  update to 2.03

* Sun Feb 16 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.02-1m)
  update to 2.02

* Fri Jul 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.67-7m)
- add more documents

* Sun Apr  21 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.67-6k)
- BuildRequires: netpbm-progs

* Sun Apr  14 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.67-4k)
- nasm 0.98.22 hitsuyo-

* Fri Apr  12 2002 Toru Hoshina <t@kondara.org>
- (1.67-2k)
- ver up. from mandrake...

* Tue Jan 22 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (1.66-2k)
- update to 1.66

* Tue Oct  2 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.63-2k)
- update to 1.63

* Wed May 02 2001 Motonobu Ichimura <famao@kondara.org>
- up to 1.62

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add %%defattr (release 4)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%{_tmppath}
- change application group (Applications/Internet doesn't seem
  right to me)
- added BuildRequires

* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- initial packaging
